%define up_name     LibVNCServer
%define major       1
%define libname     %mklibname vncserver %{major}
%define develname   %mklibname vncserver -d

Name:		libvncserver
Version:	0.9.13
Release:	%mkrel 1
Summary:	An easy API to write one's own VNC server
Group:		System/Libraries
License:	GPLv2
URL:		http://libvnc.github.io
Source0:	https://github.com/LibVNC/libvncserver/archive/%{up_name}-%{version}.tar.gz
Patch0:		libvncserver-0.9.13-fix-libraries-path.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(lzo2)
BuildRequires:	ffmpeg-devel
BuildRequires:	gettext-devel
BuildRequires:	libgcrypt-devel

%description
LibVNCServer makes writing a VNC server (or more correctly, a program
exporting a framebuffer via the Remote Frame Buffer protocol) easy.

It is based on OSXvnc, which in turn is based on the original Xvnc by
ORL, later AT&T research labs in UK.

It hides the programmer from the tedious task of managing clients and
compression schemata.

%package -n	%{libname}
Summary:	An easy API to write one's own VNC server
Group:		System/Libraries

%description -n	%{libname}
LibVNCServer makes writing a VNC server (or more correctly, a program
exporting a framebuffer via the Remote Frame Buffer protocol) easy.

It is based on OSXvnc, which in turn is based on the original Xvnc by
ORL, later AT&T research labs in UK.

It hides the programmer from the tedious task of managing clients and
compression schemata.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	vncserver-devel = %{version}-%{release}

%description -n	%{develname}
Static libraries and header files for LibVNCServer.

%prep
%setup -q -n %{name}-%{up_name}-%{version}
%autopatch -p1

#nuke bundled minilzo
rm -f common/lzodefs.h common/lzoconf.h commmon/minilzo.h common/minilzo.c

%build
%cmake -Dlib=%{_lib}
%make_build

%install
%make_install -C build

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS.md README.md SECURITY.md TODO.md
%license COPYING
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{version}

%files -n %{develname}
%{_includedir}/rfb/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so


%changelog
* Thu Jul 02 2020 daviddavid <daviddavid> 0.9.13-1.mga7
+ Revision: 1601350
- new version: 0.9.13
  * fixes CVE-2019-20839, CVE-2020-1439[79], CVE-2020-1440[0-5] (mga#26881)
- add/rebase upstream patch to fix CVE-2019-20788 (mga#26587)
- add debian patch to fix CVE-2019-15690 (mga#25918)
- add upstream patch to fix CVE-2019-15681 (mga#25788)

* Sat Feb 02 2019 daviddavid <daviddavid> 0.9.12-2.mga7
+ Revision: 1362361
- add upstream patch to fix CVE-2018-15127 (mga#24281)

* Mon Jan 14 2019 daviddavid <daviddavid> 0.9.12-1.mga7
+ Revision: 1356330
- new version: 0.9.12, fixes new security issues (mga#24177)
- switch to default cmake build system, autotools were removed
- port the SDL viewer from SDL 1.2 to SDL 2.0
- allow to use system LZO library instead of bundle miniLZO
- remove merged upstream patches
- multilib was dropped upstream

* Sun Sep 23 2018 umeabot <umeabot> 0.9.11-4.mga7
+ Revision: 1299217
- Mageia 7 Mass Rebuild

* Sun Apr 01 2018 daviddavid <daviddavid> 0.9.11-3.mga7
+ Revision: 1214047
- add two fedora patches to fix CVE-2018-7225 (mga#22847)

* Tue Sep 05 2017 cjw <cjw> 0.9.11-2.mga7
+ Revision: 1151592
- rebuild for openssl 1.1

* Fri Jan 13 2017 mrambo3501 <mrambo3501> 0.9.11-1.mga6
+ Revision: 1081267
- update to version 0.9.11
- modify the minilzo patch to apply to the new version
- remove three patches which have been applied upstream
- remove the patch and spec file references to unsupported libva

* Mon Jan 09 2017 mrambo3501 <mrambo3501> 0.9.10-6.mga6
+ Revision: 1080793
- added modified debian patch to fix CVE-2016-9941
- added debian patch to fix CVE-2016-9942
- added patch to fix build issues with libva enabled
- added BR for both libpng and libva-x11

* Fri Jul 08 2016 daviddavid <daviddavid> 0.9.10-5.mga6
+ Revision: 1039859
- add BR libgcrypt-devel (fixes mga#18895)
- fix license
- switch BRs to pkgconfig()

* Wed Mar 02 2016 umeabot <umeabot> 0.9.10-4.mga6
+ Revision: 983608
- Rebuild for openssl

* Thu Feb 11 2016 umeabot <umeabot> 0.9.10-3.mga6
+ Revision: 955721
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 blino <blino> 0.9.10-2.mga6
+ Revision: 891973
- explicitely disable libva, does not build and removed upstream (612de00)

* Tue Feb 17 2015 lmenut <lmenut> 0.9.10-1.mga5
+ Revision: 815424
- Update to 0.9.10
  remove patches merged upstream
  rediff system_minilzo patch
  remove linuxvnc splitted out upstream in vncterm

* Wed Nov 26 2014 oden <oden> 0.9.9-8.mga5
+ Revision: 799333
- the autopoo is broken, do it the hard way...
- run autoreconf -fi to pickup the changes
- sync with libvncserver-0.9.9-9.el7_0.1.src.rpm:
 - P7: build against the system minilzo library (rhbz#813764, rhbz#439979)
 - P8: nuke the %%multiarch cruft
 - P9: pkgconfig love (rhbz#854111)

* Wed Oct 15 2014 umeabot <umeabot> 0.9.9-7.mga5
+ Revision: 746830
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 luigiwalser <luigiwalser> 0.9.9-6.mga5
+ Revision: 736630
- add upstream patches to fix CVE-2014-605[1-5] (mga#14155)

* Tue Sep 16 2014 umeabot <umeabot> 0.9.9-5.mga5
+ Revision: 681848
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 luigiwalser <luigiwalser> 0.9.9-4.mga5
+ Revision: 665627
- add patch from KDE to fix CVE-2014-4607 in bundled minilzo

* Fri Oct 18 2013 umeabot <umeabot> 0.9.9-3.mga4
+ Revision: 507418
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.9-2.mga3
+ Revision: 358399
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 19 2012 luigiwalser <luigiwalser> 0.9.9-1.mga3
+ Revision: 282355
- 0.9.9
- fix format string error

* Tue Jan 03 2012 fwang <fwang> 0.9.8.2-1.mga2
+ Revision: 189960
- new version 0.9.8.2
- new version 0.9.8
+ ahmad <ahmad>
- imported package libvncserver


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-4mdv2011.0
+ Revision: 602613
- rebuild

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-3mdv2010.1
+ Revision: 488785
- rebuilt against libjpeg v8

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-2mdv2010.0
+ Revision: 416627
- rebuilt against libjpeg v7

* Thu Feb 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.7-1mdv2009.1
+ Revision: 337875
- new release
- new devel policy

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.9.1-2mdv2009.0
+ Revision: 219560
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jun 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 34726
- new version

* Thu May 24 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-2mdv2008.0
+ Revision: 30918
- don't ship x11vnc, it is distributed separatly

* Tue May 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-1mdv2008.0
+ Revision: 29922
- new version

* Tue Apr 24 2007 Laurent Montel <lmontel@mandriva.org> 0.8.2-3mdv2008.0
+ Revision: 17763
- Fix include when it used with c++


* Mon Feb 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.2-2mdv2007.0
+ Revision: 119029
- fix the binary swap between subpackages (fix #28546)

* Mon Dec 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.2-1mdv2007.1
+ Revision: 94802
- Import libvncserver

* Thu Dec 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.2-1mdv2007.1
- first mdv release

